blk_queue_max_phys_segments
Prev | Chapter 17. Block Devices | Next

## Name

blk_queue_max_phys_segments — set max phys segments for a request for this queue

## Synopsis

`void blk_queue_max_phys_segments (` | struct request_queue * | q,
| unsigned short | max_segments`)`;

## Arguments

`q`

  the request queue for the device

`max_segments`

  max number of segments

## Description

Enables a low level driver to set an upper limit on the number of physical data segments in a request. This would be the largest sized scatter list the driver could handle.

Prev | Up | Next
blk_queue_max_sectors | Home | blk_queue_max_hw_segments